Bug 122806 - 5 * array subscript out of range
5 * array subscript out of range
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-08 05:03 EDT by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-10 02:02:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-05-08 05:03:48 EDT
Description of problem:

I just tried to compile Core2 Test3 package xorg-x11-6.7.0-0.5

The compiler said

1.

gamma_state.c(1600): warning #175: subscript out of range

The source code is

        WRITE(gmesa->buf, TxBaseAddr12, curTex->TextureBaseAddr[12]);

Suspect TextureBaseAddr[12] doesn't exist.

2.

i830_texstate.c(1567): warning #175: subscript out of range

The source code is

      pipe_num = imesa->TexBlendColorPipeNum[3];

Suspect TexBlendColorPipeNum[3] doesn't exist.

3.

i830_texstate.c(1568): warning #175: subscript out of range
i830_texstate.c(1570): warning #175: subscript out of range

Duplicates.

4.

xedit.c(270): warning #175: subscript out of range

The source code is

    scan_types[5]       = KEYWORD("ALPHA-NUMERIC");

but

static LispObj *scan_types[5];




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Mike A. Harris 2004-05-08 05:45:08 EDT
It's more efficient if bugs of this nature are filed into the
upstream X.org bugzilla.  You can file a report in the X.org
bugzilla at http://bugs.freedesktop.org against the "xorg"
component.

If you paste a URL to your upstream report here, Red Hat can also
track the upstream bug report if you wish.

Thanks in advance.
Comment 2 d.binderman 2004-05-09 04:16:11 EDT
Thanks for your kind offer, but its more efficient for me
to only report each bug once to Redhat.

Feel free to duplicate it anywhere you like, just so long as
the bug gets fixed. 
Comment 3 Mike A. Harris 2004-05-10 02:02:57 EDT
There are no specific documented problems being reported in this
report, and a quick look at the above does not indicate any critical
issues that may be caused by these problems, so the proper path
for these type of low priority issues to be resolved is through
upstream channel via X.org bugzilla.

Once these issues are reported upstream, and the upstream URL
pasted here, we will review the upstream bug report occasionally
to see if there's been any changes, and if any of the upstream
fixes seem safe and sane, we may consider to include them in
our tree as well.  Alternatively, if someone attaches unified
diffs to this report containing fixes for the problems reported
above, we will review them for consideration as well.

All issues of this nature should be reported directly to X.org in
the future, unless there are known reproduceable software failures
caused by it, or system lockups, crashes, security vulnerabilities
or other similar critical issues.

Closing bug as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.